# Uses of Interface
org.eclipse.rap.rwt.client.ClientFile

Packages that use ClientFile
Package
Description
org.eclipse.rap.rwt.client.service
org.eclipse.swt.widgets

## Uses of ClientFile in org.eclipse.rap.rwt.client.service

Methods in org.eclipse.rap.rwt.client.service with parameters of type ClientFile
Modifier and Type
Method
Description
`String`
ClientFileUploader.`submit(String url, ClientFile[] clientFiles)`
Starts to upload the provided `ClientFile` to the given URL using HTTP POST.

## Uses of ClientFile in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets with parameters of type ClientFile
Modifier and Type
Method
Description
`void`
FileDialog.`setClientFiles(ClientFile[] files)`
Sets initial client files to be uploaded.